Name:		ceelog
Version:	0.1
Release:	1%{?dist}
Summary:	Tool for receiving, filtering and searching CEE/Lumberjack logs

License:	GPLv2
URL:		https://fedorahosted.org/ceelog
Source0:	https://fedorahosted.org/releases/c/e/ceelog/%{name}-%{version}.tar.xz

BuildRequires:	glib2-devel
BuildRequires:	pcre-devel
BuildRequires:	json-c-devel
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description
The ceelog project provides libceelog, a library for receiving, filtering
and searching a stream or log of CEE/Lumberjack syslog records, and
an associated command-line tool, named ceelog.

%package devel
Summary:	Development files for ceelog
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Ceelog-devel package contains development libraries and header files for ceelog.

%package libs
Summary:	Libraries for ceelog

%description libs
Ceelog-libs package contains libraries for ceelog.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f %{buildroot}%{_libdir}/*.{a,la}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_bindir}/ceelog

%files devel
%{_libdir}/*.so
%{_includedir}/ceelog/*.h

%files libs
%{_libdir}/*.so.*


%changelog
* Tue Sep 18 2012 Milan Bartos <mbartos@redhat.com> - 0.1-1
- initial port

